package com.google.code.mathparser.constants;

/*
 MathParser Java - Cross Platform Mathematical Expressions Parser
 Copyright 2013 Rodríguez Hernández, Daniel.
 daniel.rguez.hdez[at]gmail.com

 Licensed under the Apache License, Version 2.0 [the "License"]
 you may not use this file except in compliance with the License.
 You may obtain a copy of the License at

 http://www.apache.org/licenses/LICENSE-2.0

 Unless required by applicable law or agreed to in writing, software
 distributed under the License is distributed on an "AS IS" BASIS,
 WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 See the License for the specific language governing permissions and
 limitations under the License.
 */

public final class ErrorMessage {
	
	public static final String MISMATCHED_PARENTHESES = "Mismatched parentheses";
	public static final String NULL_OR_EMPTY_EXPRESSION = "NULL or Empty Expression is not valid";
	public static final String INVALID_CHARACTER = "The character %CHAR% is not a valid character to use in Math4j as aritmetic unit";
	public static final String INVALID_OPERATOR = "Operator invalid";
	public static final String INSUFFICIENT_PARAMETERS = "Insufficient parameters to apply (%OPERATOR%) operator. Expected (%EXPECTED%) arguments. Found (%FOUND%) arguments";
	public static final String TOO_MANY_VALUES = "The user inputs has too many values";
	
	private ErrorMessage(){};
	
}
